> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Source Code Verification Status

> Check the status of a source code verification request.

export const chain = '1';

<ResponseExample>
  ```json Example response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": "Pass - Verified"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/checkverifystatus.json GET /v2/api
openapi: 3.1.0
info:
  title: Check Source Code Verification Status
  version: 2.0.0
  description: Check the status of a source code verification request.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Check Source Code Verification Status
      description: Check the status of a source code verification request.
      operationId: getCheckverifystatus
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our
            [supported chains](/supported-chains).
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to contract for this endpoint.
          schema:
            type: string
            default: contract
          example: contract
        - name: action
          in: query
          required: true
          description: Set to checkverifystatus for this endpoint.
          schema:
            type: string
            default: checkverifystatus
          example: checkverifystatus
        - name: guid
          in: query
          required: true
          description: The GUID received from the source code verification request.
          schema:
            type: string
          example: x3ryqcqr1zdknhfhkimqmizlcqpxncqc6nrvp3pgrcpfsqedqi
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: string
                    description: Status of the source-code verification submission.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````